Package tigase.server.xmppclient

# Class RegistrationThrottlingProcessor

java.lang.Object
tigase.server.xmppclient.RegistrationThrottlingProcessor

All Implemented Interfaces:
  `XMPPIOProcessor`

@Bean(name="registration-throttling-processor", active=true) public class RegistrationThrottlingProcessor extends Object implements XMPPIOProcessor
Created by andrzej on 16.11.2016.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegistrationThrottlingProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Returns identifier of processor
  `void`
  `getStatistics(StatisticsList list)`
  Returns statistics generated by this processor
  `void`
  `packetsSent(XMPPIOService service)`
  Method is called when all waiting data was written to socket.
  `void`
  `processCommand(XMPPIOService service, Packet packet)`
  Process command execution which may be sent from other component and should be processed by processor
  `boolean`
  `processIncoming(XMPPIOService service, Packet packet)`
  Process packets read from socket as they are sent to SessionManager.
  `boolean`
  `processOutgoing(XMPPIOService service, Packet packet)`
  Process outgoing packets as they are added to XMPPIOService outgoing packets queue.
  `boolean`
  `serviceStopped(XMPPIOService service, boolean streamClosed)`
  Method called when XMPPIOService is closed.
  `void`
  `streamError(XMPPIOService service, StreamError streamError)`
  Method called when XMPP stream error is about to be sent
  `Element[]`
  `supStreamFeatures(XMPPIOService service)`
  Returns array of features added by this processor

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RegistrationThrottlingProcessor

    public RegistrationThrottlingProcessor()

- ## Method Details

  - ### getId

    public String getId()
    Description copied from interface: `XMPPIOProcessor`
    Returns identifier of processor
    Specified by:
      `getId` in interface `XMPPIOProcessor`

  - ### getStatistics

    public void getStatistics(StatisticsList list)
    Description copied from interface: `XMPPIOProcessor`
    Returns statistics generated by this processor
    Specified by:
      `getStatistics` in interface `XMPPIOProcessor`

  - ### supStreamFeatures

    public Element[] supStreamFeatures(XMPPIOService service)
    Description copied from interface: `XMPPIOProcessor`
    Returns array of features added by this processor
    Specified by:
      `supStreamFeatures` in interface `XMPPIOProcessor`

  - ### processIncoming

    public boolean processIncoming(XMPPIOService service, Packet packet)
    Description copied from interface: `XMPPIOProcessor`
    Process packets read from socket as they are sent to SessionManager.
    Specified by:
      `processIncoming` in interface `XMPPIOProcessor`
    Returns:
      true if packet should not be forwarded

  - ### processOutgoing

    public boolean processOutgoing(XMPPIOService service, Packet packet)
    Description copied from interface: `XMPPIOProcessor`
    Process outgoing packets as they are added to XMPPIOService outgoing packets queue.
    Specified by:
      `processOutgoing` in interface `XMPPIOProcessor`
    Returns:
      true if packet should be removed

  - ### packetsSent

    public void packetsSent(XMPPIOService service) throws IOException
    Description copied from interface: `XMPPIOProcessor`
    Method is called when all waiting data was written to socket.
    Specified by:
      `packetsSent` in interface `XMPPIOProcessor`
    Throws:
      `IOException`

  - ### processCommand

    public void processCommand(XMPPIOService service, Packet packet)
    Description copied from interface: `XMPPIOProcessor`
    Process command execution which may be sent from other component and should be processed by processor
    Specified by:
      `processCommand` in interface `XMPPIOProcessor`

  - ### serviceStopped

    public boolean serviceStopped(XMPPIOService service, boolean streamClosed)
    Description copied from interface: `XMPPIOProcessor`
    Method called when XMPPIOService is closed.
    Specified by:
      `serviceStopped` in interface `XMPPIOProcessor`
    Returns:
      true if connecton manager should not be notified about stopping of this service

  - ### streamError

    public void streamError(XMPPIOService service, StreamError streamError)
    Description copied from interface: `XMPPIOProcessor`
    Method called when XMPP stream error is about to be sent
    Specified by:
      `streamError` in interface `XMPPIOProcessor`